% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model-downscale.R
\name{assign_socioeconomic_scenario}
\alias{assign_socioeconomic_scenario}
\title{Assign country-level socioeconomic realization to each model+scenario}
\usage{
assign_socioeconomic_scenario(model_data_list, country_region_map_list,
  socio_assign_method = "SSE", SSE_variable = "PPP-GDP",
  socio_assignment_folder = NA, ...)
}
\arguments{
\item{model_data_list}{list of data tables of model-specific pre-processed, prepared data}

\item{country_region_map_list}{list of data tables of model-specific country-to-region mappings}

\item{socio_assign_method}{method used for assigning scenarios. SSE: default behavior; minimize sum of squared errors in future
ratios of variable indicated, by year and model region. exogenous: use exogenously provided assignments between
model+scenario and nation-level socioeconomic realization for downscaling model output. If this method is
selected and no model data folder is provided, a single default realization will be used for all models and scenarios.}

\item{SSE_variable}{variable to use in determining the socioeconomic assignment using the SSE method; can be
Population or PPP-GDP}

\item{socio_assignment_folder}{character string indicating the folder where the model data are located, in which to find
exogenously specified assignments from model+scenario to socioeonomic realization. They are stored as
scenario_folder/model/scenarios.yaml}
}
\description{
Takes in list of model output data from \code{\link{prepare_preprocessed_data}} and returns a list of model-
specific dataframes mapping model scenarios to named nation-level socioeconomic realizations. Default behavior
is to compute these assignments by minimizing sum of squared errors in future GDP ratios by model region and
time period.
}
\details{
Returns a list of dataframes where each model is an element. Data frames assign model's scenarios
to a country-level socioeconomics file.
}
